<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <androidx.media3.ui.PlayerView
        android:id="@+id/v_player"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/bottom_bar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:resize_mode="fixed_width"
        app:surface_type="surface_view"
        app:use_controller="false" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_play"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/v_player"
        app:layout_constraintEnd_toEndOf="@id/v_player"
        app:layout_constraintStart_toStartOf="@id/v_player"
        app:layout_constraintTop_toTopOf="@id/v_player"
        app:srcCompat="@drawable/profile_dynamic_video_play_ic"
        tools:visibility="visible" />

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_cover"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <include
        android:id="@+id/top_bar"
        layout="@layout/layout_dynamic_video_topbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        android:paddingHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <include
        android:id="@+id/dynamic_info"
        layout="@layout/layout_dynamic_video_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp"
        app:layout_constraintBottom_toTopOf="@id/bottom_bar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <include
        android:id="@+id/bottom_bar"
        layout="@layout/layout_dynamic_video_bottombar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>